# Translations

Users have contributed translations in the following languages:
* Chinese
* Dutch
* German
* Greek

We would love help improving the existing translations, or adding a new translation.

## English text

You can see the most recent English text in these files:

* [`GPSTest/src/main/res/values/strings.xml`](/GPSTest/src/main/res/values/strings.xml)
* [`GPSTest/src/main/res/values/arrays.xml`](/GPSTest/src/main/res/values/arrays.xml)

Note that these files are in the master branch and may be ahead of the text you see in the released version of the app as new features are added but not yet released.

## Contributing translations

The process for contributing translations is as follows:
1. Create new `strings.xml` and `arrays.xml` files for your language with the English strings replaced with the translated strings for your language
1. Open an issue with the new files attached, OR if you have a GitHub account create a new directory `values-x` (where `x` is the two letter [ISO 639-1](https://en.wikipedia.org/wiki/ISO_639-1) language code), put the new files in this directory and open a pull request on GitHub.

Please note that if you contribute a translation, you will be expected to keep it up-to-date as the app changes.  The developer will notify you via GitHub or email when new strings in the English files are available for translation, and then you can follow the above process for contributing improvements (but by editing existing translation files instead of creating new files).

## Example translation

You can see a sample translation for Dutch in the following files:

* [`GPSTest/src/main/res/values-nl/strings.xml`](/GPSTest/src/main/res/values-nl/strings.xml)
* [`GPSTest/src/main/res/values-nl/arrays.xml`](/GPSTest/src/main/res/values-nl/arrays.xml)